#!/bin/sh

: ${VAR:=/var/tksuite_server}

echo "creating ${VAR} hierarchie..."

if [ -d "${VAR}" ]; then
    echo "skipping tksuite_server"
else
    mkdir ${VAR}
fi

if [ -d "${VAR}/dbf" ]; then
    echo "skipping tksuite_server/dbf"
else
    mkdir ${VAR}/dbf
fi

if [ -d "${VAR}/files" ]; then
    echo "skipping tksuite_server/files"
else
    mkdir ${VAR}/files
fi

if [ -d "${VAR}/images" ]; then
    echo "skipping tksuite_server/images"
else
    mkdir ${VAR}/images
fi

if [ -d "${VAR}/updates" ]; then
    echo "skipping tksuite_server/updates"
else
    mkdir ${VAR}/updates
fi

if [ -r "${VAR}/tksock.ini" ]; then
    echo "skipping tksuite_server/tksock.ini"
else
    cat <<-EOF > ${VAR}/tksock.ini
	[path]
	files=${VAR}/files
	dbf=${VAR}/dbf
	[app]
	bill_n=1
	contact=1
	EOF
fi

if [ -r "${VAR}/update.xml" ]; then
    echo "skipping tksuite_server/update.xml"
else
    cp tksuite_server/update.xml.default ${VAR}/update.xml
fi

echo "Done! Got any errors? -> Please check root permissions"
